Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ClassPropertyFetcher.FieldReaderFetcher

    java.lang.Object
      org.codehaus.griffon.runtime.core.ClassPropertyFetcher.FieldReaderFetcher

All Implemented Interfaces:
  PropertyFetcher

    static class ClassPropertyFetcher.FieldReaderFetcher

Field Summary
`private Field` | `field`
`private boolean` | `staticField`

Constructor Summary
`ClassPropertyFetcher.FieldReaderFetcher(Field field, boolean staticField)`

Method Summary
`Object` | `get(ReferenceInstanceCallback callback)`
`Class` | `getPropertyType(String name)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### field

    private final Field field

### staticField

    private final boolean staticField

Constructor Detail

### ClassPropertyFetcher.FieldReaderFetcher

    public ClassPropertyFetcher.FieldReaderFetcher(Field field, boolean staticField)

Method Detail

### get

    public Object get(ReferenceInstanceCallback callback)

### getPropertyType

    public Class getPropertyType(String name)

Groovy Documentation